Subject: Re: bug#64270: 30.0.50; Font update for no toolkit menu

From: Robert Pluim <[email-masked]>
Date: Tue, 27 Jun 2023 11:53:46 +0200

>>>>> On Tue, 27 Jun 2023 17:49:15 +0800, Po Lu <[email-masked]> said:

    Po Lu> Robert Pluim <[email-masked]> writes:
    >> OK, but we could still fix this niggle in `font_unparse_xlfd' (if I
    >> call it a regression, can it go in emacs-29? 😸)

    Po Lu> I'm not so sure... I think it is more important that Emacs be able to
    Po Lu> parse its own XLFDs without losing information than it is for XLFDs it
    Po Lu> generates to be understood by X, since XLFDs are often used in Lisp as a
    Po Lu> printable replacement for font specifications.

I donʼt think the change I proposed changes the parsing, only the
unparsing: the weights are compared in order when parsing. Or did you
mean you want Emacs to preserve the non-standard 'regular' for some
reason?

Robert
--